/*reseta styles*/
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    text-decoration: none;
    font-family: sans-serif;
    font-size: 14px;
}

body{
    width: 100%;
    min-height: 100vh;
    background-color: #fafafa;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
}

.instagram-wrapper{
    display: flex;
    align-items: center;
    justify-content: start;
    width: 60%;
    height: 100vh;
}

.instagram-phone{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50%;
}

.instagram-phone img{
    height: 40rem;
}

.instagram-login{
    display: flex;
    align-items: center; /*horizontal*/
    justify-content: space-around; /*vertical*/
    flex-direction: column;
    width: 50%;
    min-height: 34rem;
    margin: 1rem;
}

.group{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    background-color: white;
    width: 90%;
    padding: 1rem 0;
    border: 1px solid lightgray;
    margin: 0.5rem;
}


.group:nth-child(1){
    min-height: 18rem;
}

.instagram-logo{
    height: 3rem;
}

.user-login{
    display: flex;
    justify-content:center;
    align-items:center;
    overflow: hidden;

}



.user-login form{
    display: flex;
    flex-direction: column;
    width: 258px;
    padding-top: 3rem;
    padding-bottom: 1rem;
}


.instagram-entrar{
    width: 258px;
    height: 36px;
    background-color: #0095f6;
    color: white;
    padding: 8px;
    text-align: center;
    text-decoration-style: solid;
    border-radius: 4px;
    margin-top: 1rem;
    margin-bottom: 1rem;

}

.instagram-entrar-facebook{
    color: #375184;
    margin-top: 1rem;
    margin-bottom: 1rem;
}


.instagram-esqueceu{
    font-size: small;
    color: #1b3140;
}

.not-account{
    color: rgb(160, 160, 160);
}

.link-blue{
    color: #0095f6;
}

.get-app{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 1.3rem 0;
}

.download{
    display: flex;
    width: 100%;
    justify-content: space-around;
    align-items:center;
    padding: 2rem;
}

.app-download{
    height: 3rem;
    width: 10rem;
    background-size: cover;
}

.app-download:nth-child(1){
    background-image: url('../img/apple-btn.png');
}

.app-download:nth-child(2){
    background-image: url('../img/google-btn.png');
}

/*media queries*/

@media(max-width: 1075px){
    .instagram-wrapper{
        width: 90%;
    }
}

@media(max-width: 650px){
    body{
        background-color: white;
    }
    .instagram-wrapper{
        width: 90%;
    }
    .instagram-phone{
        display: none;
    }
    .instagram-login{
        width: 90%;
    }

    .download{
        flex-direction: column;
    }
    .instagram-entrar{
        width: 90%;
    }
    .user-login{
        width: 90%;
    }
}




